REM **************************************************************
REM Davka pro magnetofonovou konverzi pro systemy rady TESLA NS260
REM **************************************************************
ECHO OFF
REM
REM SPUSTENI:
REM TRANSMGF par1 par2
REM par1 = cislo partprogramu
REM par2 = 1 ... prevod z textu *.TXT do magnetofonoveho kodu *.STX
REM par2 = 2 ... prevod z magnetofonoveho kodu *.STX do textu *.TXT
REM par2 = 3 ... prevod z magnetofonoveho kodu *.WTX do textu *.TXT
REM
REM Priklad:
REM TRANSMGF 100 1 ... zkopiruje partprogram PPG100.TXT z adreare INOUT
REM                    do adresare STROJ01 a provede konversi do magnet.
REM                    kodu a prejmenuje na PPG100.STX.
REM TRANSMGF 123 2 ... provede konversi partprogramu PPG123.STX z magnet.
REM                    kodu do textu a zkopiruje ho do adresare INOUT pod
REM                    jmenem PPG123.TXT   
REM    
REM TRANSMGF 123 3 ... provede konversi partprogramu PPG123.WTX z magnet.
REM                    kodu do textu a zkopiruje ho do adresare INOUT pod
REM                    jmenem PPG123.TXT   
REM    
REM -----------------------------------------------------------------------
REM Pred pouzivanim si v prikazech tohoto souboru upravte nasledujici retezce:
REM Misto C:\     napiste oznaceni disku, kde je DNC instalovano
REM Misto DNC     napiste jmeno vaseho adresare DNC
REM Misto INOUT   napiste jmeno vstupne-vystupniho adresare v podadresari DNC
REM Misto STROJ01 napiste adresar prislusneho stroje
REM Misto PPG     napiste predponu souboru
REM Misto TXT     napiste priponu textoveho souboru v adresari INOUT
REM Misto STX     napiste priponu souboru (source) v adresari STROJ01
REM Misto WTX     napiste priponu souboru (work) v adresari STROJ01
REM
REM Protoze systemy NS260 se vyrobily ve trech ruznych versich, je treba
REM vyzkouset o jakou versi se jedna. Verse se nastavuje jako druhy parametr
REM u volani programu NS260PC.EXE a PCNS260.EXE. Verse se nastavuje znakem
REM A nebo B nebo C. Ve vetsine pripadu se pouziva verse typu A.
REM Verse typu B je mene casta. Verse C je malo obvykla a vyznacuje se 
REM tim, ze stroj se systemem NS260 umi jet ve dvou osach pod uhlem 45 stupnu
REM Dva radky, ve kterych je treba opravit typ verse (pokud se nejedna o typ A),
REM jsou oznaceny komentarem : REM Nastaveni verse A nebo B nebo C  

REM -----------------------------------------------------------------------
REM
ECHO ON
IF "%2"=="2" GOTO MGFTEXT
IF "%2"=="3" GOTO MGFTEXT
REM ********** PREVOD TEXT --> MGF **********
COPY C:\DNC\INOUT\PPG%1.TXT C:\DNC\STROJ01
COPY C:\DNC\PCNS260.EXE C:\DNC\STROJ01
CD C:\DNC\STROJ01
REM Nastaveni verse A nebo B nebo C nebo S (SARY) na nasledujicim radku
PCNS260.EXE PPG%1.TXT A
REN @KODMGF PPG%1.STX
DEL PPG%1.TXT
DEL PCNS260.EXE
IF EXIST PPG%1.STX DEL C:\DNC\INOUT\PPG%1.TXT
CD ..
GOTO KONEC
:MGFTEXT
REM ********** PREVOD MGF --> TEXT **********
COPY C:\DNC\NS260PC.EXE C:\DNC\STROJ01
CD C:\DNC\STROJ01
IF "%2"=="3" GOTO WTX
REN PPG%1.STX @KODMGF
GOTO POKRACUJ
:WTX
REN PPG%1.WTX @KODMGF
:POKRACUJ
REM Nastaveni verse A nebo B nebo C nebo S (SARY) na nasledujicim radku
NS260PC.EXE PPG%1.TXT A
COPY C:\DNC\STROJ01\PPG%1.TXT C:\DNC\INOUT
DEL @KODMGF
DEL NS260PC.EXE
DEL PPG%1.TXT
CD ..
:KONEC
